Package jnr.constants.platform

# Enum ErrnoAddressInfo

java.lang.Object
java.lang.Enum<ErrnoAddressInfo>
jnr.constants.platform.ErrnoAddressInfo

All Implemented Interfaces:
  `Serializable`, `Comparable<ErrnoAddressInfo>`, `java.lang.constant.Constable`, `Constant`

public enum ErrnoAddressInfo extends Enum<ErrnoAddressInfo> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`__UNKNOWN_CONSTANT__`
`EAI_ADDRFAMILY`
`EAI_AGAIN`
`EAI_BADFLAGS`
`EAI_BADHINTS`
`EAI_FAIL`
`EAI_FAMILY`
`EAI_MAX`
`EAI_MEMORY`
`EAI_NODATA`
`EAI_NONAME`
`EAI_OVERFLOW`
`EAI_PROTOCOL`
`EAI_SERVICE`
`EAI_SOCKTYPE`
`EAI_SYSTEM`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final String`
`description()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static ErrnoAddressInfo`
`valueOf(long value)`
Returns the enum constant of this type with the specified name.
`static ErrnoAddressInfo`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ErrnoAddressInfo[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### EAI_ADDRFAMILY

public static final ErrnoAddressInfo EAI_ADDRFAMILY

### EAI_AGAIN

public static final ErrnoAddressInfo EAI_AGAIN

### EAI_BADFLAGS

public static final ErrnoAddressInfo EAI_BADFLAGS

### EAI_FAIL

public static final ErrnoAddressInfo EAI_FAIL

### EAI_FAMILY

public static final ErrnoAddressInfo EAI_FAMILY

### EAI_MEMORY

public static final ErrnoAddressInfo EAI_MEMORY

### EAI_NODATA

public static final ErrnoAddressInfo EAI_NODATA

### EAI_NONAME

public static final ErrnoAddressInfo EAI_NONAME

### EAI_OVERFLOW

public static final ErrnoAddressInfo EAI_OVERFLOW

### EAI_SERVICE

public static final ErrnoAddressInfo EAI_SERVICE

### EAI_SOCKTYPE

public static final ErrnoAddressInfo EAI_SOCKTYPE

### EAI_SYSTEM

public static final ErrnoAddressInfo EAI_SYSTEM

### EAI_BADHINTS

public static final ErrnoAddressInfo EAI_BADHINTS

### EAI_PROTOCOL

public static final ErrnoAddressInfo EAI_PROTOCOL

### EAI_MAX

public static final ErrnoAddressInfo EAI_MAX

### __UNKNOWN_CONSTANT__

public static final ErrnoAddressInfo __UNKNOWN_CONSTANT__

## Method Details

### values

public static ErrnoAddressInfo[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ErrnoAddressInfo valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### description

public final String description()

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<ErrnoAddressInfo>`

### valueOf

public static ErrnoAddressInfo valueOf(long value)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null